<mat-card class="example-card">
  <mat-card-header>
    <mat-card-title> {{resultItems.length}} Results for {{vote?.name}}</mat-card-title>
  </mat-card-header>
  <mat-card-content>
    <div *ngIf="isBeforeDueDate()">
      Vote is in progress...
    </div>
    <div>
      <mat-list>
        <mat-list-item>
          <h4 mat-line style="color: #3f51b5;">Place name</h4>
          <div style="color: #3f51b5;">Result</div>
        </mat-list-item>
        <mat-list-item *ngFor="let resultItem of resultItems">
          <h4 mat-line>{{resultItem.candidate.name}}</h4>
          <p class="result-element">
            <mat-icon [matBadge]="resultItem.yes.toString()" matBadgeColor="primary">thumb_up</mat-icon>
          </p>
          <p class="result-element">
            <mat-icon class="thumbs_up_down" [matBadge]="resultItem.maybe.toString()">thumbs_up_down</mat-icon>
          </p>
          <p class="result-element">
            <mat-icon [matBadge]="resultItem.no.toString()" matBadgeColor="warn">thumb_down</mat-icon>
          </p>
          <p class="result-element">
            <mat-chip-list>
              <mat-chip>{{resultItem.result}}</mat-chip>
            </mat-chip-list>
          </p>
        </mat-list-item>
      </mat-list>
    </div>
  </mat-card-content>
  <mat-card-actions>
    <button mat-raised-button color="accent" routerLink="/vote/{{vote?.id}}">Back to vote</button>
  </mat-card-actions>
</mat-card>
